* {margin: 0;padding: 0;border: 0; box-sizing: border-box;}

/* Color palette as follows
BEIGE #EAF2D7
DARK GREEN #00241b
Cyclamen(pink) #F06C9B
Illuminating Emeral #32936F
Carrot Orange #EA9010 */


/* font-family: 'Gochi Hand', cursive;
font-family: 'Indie Flower', cursive;
font-family: 'Luckiest Guy', cursive;
font-family: 'Rubik Puddles', cursive;
*/

:root {
    font-size: 62.5%;
     /* variables for frequent use */
     --cl-bglight: #eaf2d7;
     --cl-bgdark: #32936f;
     --cl-text: #00241B;
     --cl-link: #ea9010;
     --cl-h1: #F06C9b;
}

body {
    /* background-color: var(--cl-bglight); */
    background-color: var(--cl-bgdark);
}

#container {
    display: block;
    border: solid 4px var(--cl-text);
    box-shadow: #00241B 8px 8px 8px;
    /* background-color: var(--cl-bgdark); */
    background-color: var(--cl-bglight);
    height: 100vh;
    width: 70%;
    margin: 0 auto;
    border-radius: 18px;
}


#brunchies {
    text-align: center;
    /* background-color: #00241B; */
    color: var(--cl-h1);
    font-size: 10rem;
    font-family: 'Luckiest Guy', cursive;
    letter-spacing: .25em;
    box-shadow: var(--cl-text) 3px 3px 3px 3px;
    text-shadow: var(--cl-bgdark) 4px 4px 3px;
}

#brunchies > span {
    text-align: right;
    color: var(--cl-link);
    font-size: 2.5rem;
    letter-spacing: normal;
    font-family: 'Indie Flower', cursive;
    /* padding: 10px; */
    text-shadow: none;
}

a {
    text-decoration: none;
}

#navlist {
    margin: 10px;
    list-style-type: none;
    width: 100%;
}

nav {
    min-height: 10px;
    min-width: 100px;
    text-align: center;
    background-image: linear-gradient(var(--cl-h1) 0%, var(--cl-bglight) 110%, var(--cl-h1) 20%);
}

nav#navhead li {
    margin: 0px;
    display: inline-block;
    height: 50px;
    width: 200px;
    /* line-height: 65px; */
}

nav#navhead a {
    display: block;
    color: #eaf2d7;
    background-color: var(--cl-bgdark);
    text-transform: uppercase;
    font-family: 'Luckiest Guy';
    font-size: 3.2rem;
    letter-spacing: .25rem;
    height: 100%;
    width: 100%;
    transition: 200ms ease-in-out;
    border-radius: 8px;
}


nav#navhead a:hover {
    background-image: linear-gradient(25deg, var(--cl-h1), var(--cl-bglight));
    color: var(--cl-bgdark);
    transform: translateY(10px);
}

#mainbody {
    display: flex;
    margin-top: 12px;
}



#truckpicture {
    
    /* border: solid 2px #F06C9b; */
    height: 600px;
    width: 70%;
}

#specials {
    border: dotted 6px var(--cl-text);
    border-radius: 8px;
    height: 600px;
    width: 30%;
}

#specHeader {
    text-align: center;
    font-size: 5rem;
    color: var(--cl-h1);
    text-shadow: 2px 2px 3px var(--cl-bgdark);
    font-family: 'Luckiest Guy', cursive;
}

#specials > ul {
    text-decoration: none;
    list-style: none;
    text-align: center;
    margin-top: 40px;
}

#specials > ul > li > h2 {
    font-family: 'Indie Flower', cursive;
    font-size: 3rem;
    color: var(--cl-link)
}



#truckpicture {
    background-image: url(../images/foodtruck.jpg);
    background-size: 100%;
    background-repeat: no-repeat;
}

footer {
    text-align: center;
    font-size: 7rem;
    font-family: 'Luckiest Guy', cursive;
    color: var(--cl-bgdark);
    font-weight: bold;
    position: relative; bottom: -25px; left: 35px;
    letter-spacing: .6rem;
    text-shadow: 3px 3px 3px var(--cl-link);
    line-height: 4rem;
}


/* Mobile */
@media screen and (min-width:350px) and (max-width:699px) {

    * {margin: 0;padding: 0;border: 0; box-sizing: border-box;}

    body {
        background-color: #fff;
    }


    #container {
        display: inline-block;
        background-color: #FFF;
        flex-grow: 0;
        width: 100%;
        height: 100%;
        border: none;
        box-shadow: none;
    }

    header {
        width: 100%;
        display: inline-block;
    }

    h1#brunchies {
        display: none;
    }

    h1#mobileBrunchies {
        visibility: visible;
        text-align: center;
        background-color: var(--cl-bgdark);
        color: var(--cl-h1);
        font-size: 4rem;
        font-family: 'Luckiest Guy', cursive;
        letter-spacing: .15em;
        text-shadow: var(--cl-bglight) 2px 2px 2px;
    }

    h1#mobileBrunchies span {
        font-family: 'Indie Flower', cursive;
        color: var(--cl-link);
        font-size: 2rem;
        text-shadow: none;
        position: relative; bottom: 22px;
        letter-spacing: .08rem;
    }

    #nav {
        display: inline-block;
       
    }

    #navlist li {
        padding: 4px;
    }


    aside {
        display: none;
    }

    aside#specials {
        /* position: absolute; left: 30%; */
        display: inline-block;
        text-align: left;
        margin: 0 auto;
        border: none;
    }

    footer {
        display: none;
    }

}

/* Tablets, small screens */

@media screen and (min-width:700px) and (max-width:1454px) {

    * {margin: 0;padding: 0;border: 0; box-sizing: border-box; border-radius: 0px;}


    body {
        background-color: #eaf2d7;
    }

    header {
        border: 2px solid var(--cl-bgdark);
        height: 100px;
        width: 100vw;
        background-color: var(--cl-text);
    }

    #mobileBrunchies {
        display: normal;
        text-align: center;
        font-family: 'Luckiest Guy', cursive;
        font-size: 6rem;
        color: var(--cl-h1);
        letter-spacing: .5rem;
    }

    #mobileBrunchies span {
        font-family: 'Indie Flower', cursive;
        color: var(--cl-link);
        font-size: 2rem;
        text-shadow: none;
        position: relative; bottom: 52px;
        letter-spacing: .08rem;
    }
    
    #container {
        display: inline-block;
        flex-grow: 1;
        width: 100vw;
        height: 100vh;
        border-radius: 0px;
        border: none;
        box-shadow: none;
        background-color: #eaf2d7;
        background-image: url(/images/foodtruck.jpg);
        background-repeat: no-repeat;
        background-size: 100%;
    }   

    #brunchies {
        display: none;
    }

    nav {
        display: flex;
        width: 25%;
        height: 100%;
        background-image: none;
        background-color: #eaf2d7;
    }

    nav li {
        padding: 10px;
    }

    #truckpicture {
        display: inline-block;
        height: 40%;
        width: 40%;
        /* position: absolute; right: 500px;top: 100px; */
    }

    #specials {
        display: inline-block;
        background-color: #eaf2d7;
        position: absolute; right: 0px;top: 100px;
    }

    footer {
        display: none;
    }
}

@media screen and (min-width:1455px) {

    #mobileBrunchies {
        display: none;
    }

}

@media screen and (min-width:1455px) and (max-width:1668px) {
    footer {
        display: none;
    }

}